## ddate 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ddate C)

add_executable(ddate ddate.c)

add_custom_command( OUTPUT ddate.1.gz
  COMMAND gzip -c -9 ${CMAKE_SOURCE_DIR}/ddate.1 >> ${CMAKE_CURRENT_BINARY_DIR}/ddate.1.gz
  DEPENDS ${CMAKE_SOURCE_DIR}/ddate.1
  COMMENT "gzipping manpage"
  )

add_custom_target( manpage ALL
  DEPENDS ddate.1.gz
  )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ddate.1.gz DESTINATION share/man/man1)
install(TARGETS ddate DESTINATION bin)

=== debian/changelog ===
ddate (0.2.2-4) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Luigi Lipori <luigilipori@alunos.utfpr.edu.br>  Mon, 27 Oct 2025 13:04:34 -0300

ddate (0.2.2-3) unstable; urgency=medium

  * QA upload.
  * Fix build using CMake 4
    Closes: #1112831
  * d/watch: version=5
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 16:43:04 +0100

ddate (0.2.2-2) unstable; urgency=medium

  [ Andreas Tille ]
  * QA upload.
    Closes: #1109933
  * Update renamed lintian tag names in lintian overrides.
  * New homepage
  * Point Vcs fields to Salsa

  [ наб ]
  * Update d/gbp.conf for new version
  * E: ddate: alien-tag no-upstream-changelog
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Mar 2025 09:13:15 +0100

ddate (0.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use time_t for time (Closes: #1091251)

 -- Bastian Germann <bage@debian.org>  Wed, 19 Mar 2025 20:16:55 +0100

ddate (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #764325)

 -- Sebastian Schmidt <yath@yath.de>  Tue, 07 Oct 2014 10:46:38 +0200

=== debian/control ===
Source: ddate
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/debian/ddate
Vcs-Git: https://salsa.debian.org/debian/ddate.git
Homepage: https://iff.ink/fossil/ddate/

Package: ddate
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: convert Gregorian dates to Discordian dates
 Displays the Discordian date of a given date. The Discordian calendar
 was made popular by the "Illuminatus!" trilogy by Robert Shea and Robert
 Anton Wilson.

=== debian/tests/control ===
Test-Command: ddate -h 2>&1 | grep "^usage:"
Restrictions: superficial

Test-Command: ddate | grep -E "(Sweetmorn|Boomtime|Pungenday|Prickle-Prickle|Setting Orange)" | grep -E "(Chaos|Discord|Confusion|Bureaucracy|Aftermath)"
Restrictions: superficial

Tests: leapyear-test.sh, manpageex-test.sh
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: bo0ts
Project: ddate
